## rkward 0.6.1

=== doc/CMakeLists.txt ===
ADD_SUBDIRECTORY (rkward)
ADD_SUBDIRECTORY (rkwardplugins)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

	FILE(GLOB PO_FILES *.po)

	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
		SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

		# making the gmo be re-built, when the po changes, but not every time is surprsingly difficult
		# (since the gmo file is only built for translations which are complete enough)
		SET(_stampFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.stamp)
		ADD_CUSTOM_COMMAND(OUTPUT ${_stampFile}
			COMMAND ${CMAKE_COMMAND} "-D_poFile=${_poFile}" "-D_gmoFile=${_gmoFile}" "-DGETTEXT_MSGFMT_EXECUTABLE=${GETTEXT_MSGFMT_EXECUTABLE}" -P ${CMAKE_CURRENT_SOURCE_DIR}/compile_po.cmake
			COMMAND ${CMAKE_COMMAND} -E touch ${_stampFile}
			COMMENT "Generating translation for language '${_lang}'"
			DEPENDS ${_poFile})
		LIST(APPEND active_translations ${_stampFile})

		INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME rkward.mo OPTIONAL)
	ENDFOREACH(_poFile ${PO_FILES})

	ADD_CUSTOM_TARGET(translations ALL DEPENDS ${active_translations})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== rkward/CMakeLists.txt ===
IF(NOT ${PROJECT_NAME} STREQUAL "rkward")
	MESSAGE (FATAL_ERROR "Build triggered from wrong subdirectory. Please point cmake to the parent of this directory, instead.")
ENDIF(NOT ${PROJECT_NAME} STREQUAL "rkward")

INCLUDE(SetVersionNumber.cmake)

IF(Q_WS_MAC)
	SET(RKWARD_FRONTEND_LOCATION ${BIN_INSTALL_DIR}/rkward.frontend.app/Contents/MacOS)
	SET(CPACK_BUNDLE_ICON rkward.icns)
	SET(CPACK_BUNDLE_NAME RKWard)
	SET(CPACK_BUNDLE_STARTUP_COMMAND rkward)
	SET(KDE_START_DBUS "launchctl load -w /opt/rkward/Library/LaunchAgents/org.freedesktop.dbus-session.plist")
#	SET(CPACK_BUNDLE_PLIST ${CMAKE_SOURCE_DIR}/rkward/Info.plist)
ELSE(Q_WS_MAC)
	SET(RKWARD_FRONTEND_LOCATION ${LIBEXEC_INSTALL_DIR})
ENDIF(Q_WS_MAC)

ADD_SUBDIRECTORY( dataeditor )
ADD_SUBDIRECTORY( settings )
ADD_SUBDIRECTORY( plugin )
ADD_SUBDIRECTORY( agents )
ADD_SUBDIRECTORY( rbackend )
ADD_SUBDIRECTORY( dialogs )
ADD_SUBDIRECTORY( scriptbackends )
ADD_SUBDIRECTORY( misc )
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( icons )
IF(WIN32)
	ADD_SUBDIRECTORY( qwinhost )
	LIST(APPEND RKWARD_ADDLIBS qwinhost)
ELSE(WIN32)
	LIST(APPEND RKWARD_ADDLIBS ${X11_X11_LIB})
ENDIF(WIN32)
ADD_SUBDIRECTORY( windows )
ADD_SUBDIRECTORY( syntax )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${X11_X11_INCLUDE_PATH} )

SET(RKWard_Sources
	rkward.cpp
	main.cpp
	rkglobals.cpp
	robjectviewer.cpp
	rkconsole.cpp
	rkwardapplication.cpp
)

# auto-gen sources
#QT4_AUTOMOC(${RKWard_Sources})	# not needed here, as KDE4_ADD_EXECUTABLE mocs the sources in this dir.

# somehow the needed libdirs for R do not get passed down automatically
GET_DIRECTORY_PROPERTY(R_SHAREDLIBDIR DIRECTORY rbackend LINK_DIRECTORIES)
LINK_DIRECTORIES(${R_SHAREDLIBDIR})

KDE4_ADD_EXECUTABLE(rkward.frontend ${RKWard_Sources})
SET_TARGET_PROPERTIES(rkward.frontend PROPERTIES
        MACOSX_BUNDLE_BUNDLE_NAME "RKWard")

# wrapper script
GET_DIRECTORY_PROPERTY(R_EXECUTABLE DIRECTORY rbackend DEFINITION R_EXECUTABLE)
IF(WIN32)
	SET(RKWARD_WRAPPER_TEMPLATE rkward.bat.in)
	SET(RKWARD_WRAPPER_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/rkward.bat)
# For now use wrapper binary on Windows, only, and only as an alternative to rkward.bat.
# Will become standard startup mechanism on all platforms, in a later release
	ADD_SUBDIRECTORY( wrapper )
ELSE(WIN32)
	SET(RKWARD_WRAPPER_TEMPLATE rkward.sh.in)
	SET(RKWARD_WRAPPER_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/rkward)
ENDIF(WIN32)
CONFIGURE_FILE(
	${RKWARD_WRAPPER_TEMPLATE}
	${RKWARD_WRAPPER_SCRIPT}
	@ONLY)
ADD_DEPENDENCIES(rkward.frontend ${RKWARD_WRAPPER_SCRIPT})

IF(Q_WS_MAC)
	SET(RKWARD_INFOPLIST_TEMPLATE Info.plist.in)
	SET(RKWARD_INFOPLIST_FILE ${CMAKE_SOURCE_DIR}/rkward/Info.plist)
	CONFIGURE_FILE(
		${RKWARD_INFOPLIST_TEMPLATE}
		${RKWARD_INFOPLIST_FILE}
		@ONLY)
ENDIF(Q_WS_MAC)

TARGET_LINK_LIBRARIES(rkward.frontend ${KDE4_KDECORE_LIBS} windows ${RKWARD_ADDLIBS} agents dialogs plugin settings dataeditor core scriptbackends rbackend misc ktexteditor ${KDE4_KHTML_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KROSSCORE_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTNETWORK_LIBRARY})

########### install files ###############

INSTALL(DIRECTORY plugins/ pages DESTINATION ${DATA_INSTALL_DIR}/rkward
	PATTERN .svn EXCLUDE)

INSTALL(FILES resource.ver rkwardui.rc rkconsolepart.rc DESTINATION ${DATA_INSTALL_DIR}/rkward )

IF(Q_WS_MAC)
	INSTALL(TARGETS rkward.frontend DESTINATION ${BIN_INSTALL_DIR})
	INSTALL(PROGRAMS ${RKWARD_WRAPPER_SCRIPT} DESTINATION ${BUNDLE_INSTALL_DIR}/${CPACK_BUNDLE_NAME}.app/Contents/MacOS)
	INSTALL(FILES ${CMAKE_SOURCE_DIR}/rkward/icons/app-icon/rkward.icns DESTINATION ${BUNDLE_INSTALL_DIR}/${CPACK_BUNDLE_NAME}.app/Contents/Resources)
	INSTALL(FILES ${RKWARD_INFOPLIST_FILE} DESTINATION ${BUNDLE_INSTALL_DIR}/${CPACK_BUNDLE_NAME}.app/Contents)
ELSE(Q_WS_MAC)
	INSTALL(TARGETS rkward.frontend DESTINATION ${LIBEXEC_INSTALL_DIR})
	INSTALL(PROGRAMS ${RKWARD_WRAPPER_SCRIPT} DESTINATION ${BIN_INSTALL_DIR})
ENDIF(Q_WS_MAC)

INSTALL(FILES rkward.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== rkward/agents/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(agents_STAT_SRCS
   rkdebughandler.cpp
   rkeditobjectagent.cpp
   rkloadagent.cpp
   rkprintagent.cpp
   rkquitagent.cpp
   rksaveagent.cpp
   showedittextfileagent.cpp
   )

QT4_AUTOMOC(${agents_STAT_SRCS})

ADD_LIBRARY(agents STATIC ${agents_STAT_SRCS})

=== rkward/core/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(core_STAT_SRCS
   rkvariable.cpp
   robjectlist.cpp
   robject.cpp
   rcontainerobject.cpp
   rkmodificationtracker.cpp
   rfunctionobject.cpp
   renvironmentobject.cpp
   rkrownames.cpp
   rkpseudoobjects.cpp
   )

QT4_AUTOMOC(${core_STAT_SRCS})

ADD_LIBRARY(core STATIC ${core_STAT_SRCS})


########### install files ###############




#original Makefile.am contents follow:

#INCLUDES = $(all_includes)
#METASOURCES = AUTO
#noinst_LIBRARIES =  libcore.a
#libcore_a_SOURCES = rkvariable.cpp robjectlist.cpp robject.cpp rcontainerobject.cpp rkmodificationtracker.cpp \
#	rfunctionobject.cpp renvironmentobject.cpp
#noinst_HEADERS = rkvariable.h robjectlist.h robject.h rcontainerobject.h rkmodificationtracker.h \
#	rfunctionobject.h renvironmentobject.h

=== rkward/dialogs/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(dialogs_STAT_SRCS
   startupdialog.cpp
   rkloadlibsdialog.cpp
   rkreadlinedialog.cpp
   rkimportdialog.cpp
   rkselectlistdialog.cpp
   rkrecoverdialog.cpp
   )

QT4_AUTOMOC(${dialogs_STAT_SRCS})

ADD_LIBRARY(dialogs STATIC ${dialogs_STAT_SRCS})


########### install files ###############




#original Makefile.am contents follow:

#INCLUDES = $(all_includes)
#METASOURCES = AUTO
#noinst_LIBRARIES =  libdialogs.a
#noinst_HEADERS = startupdialog.h rkloadlibsdialog.h rkreadlinedialog.h rkimportdialog.h
#libdialogs_a_SOURCES = startupdialog.cpp rkloadlibsdialog.cpp rkreadlinedialog.cpp rkimportdialog.cpp

=== rkward/misc/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(misc_STAT_SRCS
   rkspinbox.cpp
   getfilenamewidget.cpp
   rkobjectlistview.cpp
   xmlhelper.cpp
   multistringselector.cpp
   rkcommonfunctions.cpp
   rkprogresscontrol.cpp
   rksaveobjectchooser.cpp
   rkdummypart.cpp
   rkjobsequence.cpp
   rkspecialactions.cpp
   rkstandardicons.cpp
   rkstandardactions.cpp
   rkxmlguisyncer.cpp
   rkcommandhistory.cpp
   rktableview.cpp
   celleditor.cpp
   editlabelsdialog.cpp
   editformatdialog.cpp
   )

QT4_AUTOMOC(${misc_STAT_SRCS})

ADD_LIBRARY(misc STATIC ${misc_STAT_SRCS})


########### install files ###############

INSTALL(FILES
	rkdummypart.rc
	DESTINATION ${DATA_INSTALL_DIR}/rkward)

=== rkward/plugin/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(plugin_STAT_SRCS
   rkcomponentmap.cpp
   rkcomponentmeta.cpp
   rkcomponentproperties.cpp
   rkcomponent.cpp
   rkstandardcomponent.cpp
   rkvarselector.cpp
   rkvarslot.cpp
   rkformula.cpp
   rkradio.cpp
   rkcheckbox.cpp
   rkpluginspinbox.cpp
   rkinput.cpp
   rkpluginbrowser.cpp
   rktext.cpp
   rktabpage.cpp
   rkstandardcomponentgui.cpp
   rkdropdown.cpp
   rkcomponentcontext.cpp
   rkpreviewbox.cpp
   rkpluginsaveobject.cpp
   rkabstractoptionselector.cpp
   rkpluginframe.cpp
   rkoptionset.cpp
   rkmatrixinput.cpp
   )

QT4_AUTOMOC(${plugin_STAT_SRCS})

ADD_LIBRARY(plugin STATIC ${plugin_STAT_SRCS})


########### install files ###############




#original Makefile.am contents follow:

#INCLUDES = $(all_includes)
#METASOURCES = AUTO
#noinst_LIBRARIES =  libplugin.a
#libplugin_a_SOURCES = rkcomponentmap.cpp rkcomponentproperties.cpp rkcomponent.cpp \
#	rkstandardcomponent.cpp rkvarselector.cpp rkvarslot.cpp rkformula.cpp rkradio.cpp \
#	rkcheckbox.cpp rkpluginspinbox.cpp rkinput.cpp rkpluginbrowser.cpp rktext.cpp \
#	rktabpage.cpp rkstandardcomponentgui.cpp rkdropdown.cpp rkcomponentcontext.cpp \
#	rkpreviewbox.cpp rkpluginsaveobject.cpp rkabstractoptionselector.cpp
#
#noinst_HEADERS = rkcomponentmap.h rkcomponentproperties.h rkcomponent.h \
#	rkstandardcomponent.h rkvarselector.h rkvarslot.h rkformula.h rkradio.h \
#	rkcheckbox.h rkpluginspinbox.h rkinput.h rkpluginbrowser.h rktext.h \
#	rktabpage.h rkstandardcomponentgui.h rkdropdown.h rkcomponentcontext.h \
#	rkpreviewbox.h rkpluginsaveobject.h rkabstractoptionselector.h
#
#

=== rkward/qwinhost/CMakeLists.txt ===
IF(WIN32)
	INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})

	# QT4-automoc does not work, as qwinhost.cpp does not have the #include "qwhinhost.moc"-line.
	# We don't want to add it to keep changes small, and use manual moccing, here, instead
	QT4_WRAP_CPP(MANUAL_MOC_CXX qwinhost.h)
	SET(qwinhost_STAT_SRCS
		qwinhost.cpp
		${MANUAL_MOC_CXX}
	)

	ADD_LIBRARY(qwinhost STATIC ${qwinhost_STAT_SRCS})
ELSE(WIN32)
	MESSAGE(STATUS "Only needed on windows")
ENDIF(WIN32)

=== rkward/rbackend/CMakeLists.txt ===
INCLUDE(FindR.cmake)
IF(NOT WIN32)
	FIND_PACKAGE(Threads)
	INCLUDE(DetectPthreads.cmake)
ENDIF(NOT WIN32)

ADD_SUBDIRECTORY( rpackages )

INCLUDE_DIRECTORIES( ${R_INCLUDEDIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

SET (
	rbackend_shared_SRCS
	rkrbackendprotocol_shared.cpp
	rdata.cpp
)

SET (
	rbackend_backend_SRCS
	rkrbackend.cpp
	rkpthreadsupport.cpp
	rksignalsupport.cpp
	rklocalesupport.cpp
	rkrsupport.cpp
	rkstructuregetter.cpp
	rkrbackendprotocol_backend.cpp
)

SET (
	rbackend_frontend_SRCS
	rinterface.cpp
	rcommand.cpp
	rcommandreceiver.cpp
	rcommandstack.cpp
	rkrbackendprotocol_frontend.cpp
	rksessionvars.cpp
)

SET(RBACKEND_SPLIT 1)
IF(RBACKEND_SPLIT)
	SET (
		rbackend_FRONTEND_SRCS
		${rbackend_frontend_SRCS}
		${rbackend_shared_SRCS}
		rkfrontendtransmitter.cpp
		rktransmitter.cpp
	)
	QT4_AUTOMOC(${rbackend_FRONTEND_SRCS})
	ADD_LIBRARY(rbackend STATIC ${rbackend_FRONTEND_SRCS})
	TARGET_LINK_LIBRARIES(rbackend ${CMAKE_THREAD_LIBS_INIT})

	SET (
		rbackend_BACKEND_SRCS
		${rbackend_backend_SRCS}
		${rbackend_shared_SRCS}
		rkbackendtransmitter.cpp
		rktransmitter.cpp
	)
	QT4_AUTOMOC(${rbackend_BACKEND_SRCS})
	ADD_DEFINITIONS (-DRKWARD_SPLIT_PROCESS)
	LINK_DIRECTORIES(${R_SHAREDLIBDIR})
	ADD_EXECUTABLE(rkward.rbackend ${rbackend_BACKEND_SRCS})
	FIND_PACKAGE(Gettext REQUIRED)
	TARGET_LINK_LIBRARIES(rkward.rbackend ${R_USED_LIBS} ${CMAKE_THREAD_LIBS_INIT} ${QT_QTNETWORK_LIBRARY} ${QT_QTCORE_LIBRARY} ${GETTEXT_LIBRARIES})

	IF(WIN32)
		# on Widows, we install to the rbackend subdirectory, because 1) LIBEXEC_INSTALL_DIR == BIN_INSTALL_DIR and 2) we don't want the backend to pick up
		# all the KDE library versions, first, when loading DLLs
		INSTALL(TARGETS rkward.rbackend DESTINATION ${BIN_INSTALL_DIR}/rbackend)
	ELSE(WIN32)
			INSTALL(TARGETS rkward.rbackend DESTINATION ${RKWARD_FRONTEND_LOCATION})
	ENDIF(WIN32)
ELSE(RBACKEND_SPLIT)
	SET (
		rbackend_ALL_SRCS
		${rbackend_frontend_SRCS}
		${rbackend_shared_SRCS}
		${rbackend_backend_SRCS}
	)

	QT4_AUTOMOC(${rbackend_ALL_SRCS})
	LINK_DIRECTORIES(${R_SHAREDLIBDIR})
	ADD_LIBRARY(rbackend STATIC ${rbackend_ALL_SRCS})
	TARGET_LINK_LIBRARIES(rbackend ${R_USED_LIBS} ${CMAKE_THREAD_LIBS_INIT})
ENDIF(RBACKEND_SPLIT)

=== rkward/scriptbackends/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(scriptbackends_STAT_SRCS
   scriptbackend.cpp
   simplebackend.cpp
   qtscriptbackend.cpp
   rkcomponentscripting.cpp
   )

QT4_AUTOMOC(${scriptbackends_STAT_SRCS})

ADD_LIBRARY(scriptbackends STATIC ${scriptbackends_STAT_SRCS})


########### install files ###############

INSTALL(FILES common.js rkcomponentscripting.js DESTINATION ${DATA_INSTALL_DIR}/rkward/phpfiles )



#original Makefile.am contents follow:

#INCLUDES = $(all_includes)
#METASOURCES = AUTO
#noinst_LIBRARIES =  libscriptbackends.a
#noinst_HEADERS =  phpbackend.h scriptbackend.h simplebackend.h
#libscriptbackends_a_SOURCES =  phpbackend.cpp scriptbackend.cpp simplebackend.cpp
#phpfilesdir = $(kde_datadir)/rkward/phpfiles
#phpfiles_DATA = common.php php.ini
#

=== rkward/wrapper/CMakeLists.txt ===
IF (WIN32)
	SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
ENDIF (WIN32)
ADD_CUSTOM_COMMAND (OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/rkward.ico"
			COMMAND cmake -E copy "${CMAKE_CURRENT_SOURCE_DIR}/../icons/app-icon/rkward.ico"
			"${CMAKE_CURRENT_BINARY_DIR}/rkward.ico")
ADD_EXECUTABLE (rkward rkward_startup_wrapper.cpp rkward_windows_icon.rc rkward.ico)
add_definitions ("-DR_EXECUTABLE=\\\"${R_EXECUTABLE}\\\"")
TARGET_LINK_LIBRARIES(rkward ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY})
IF (WIN32)	# NOTE: On other platforms, currently in conflict with shell wrapper script
	INSTALL(TARGETS rkward DESTINATION ${BIN_INSTALL_DIR})
ENDIF (WIN32)

## rkward 0.6.2~rc1

=== rkward/rbackend/CMakeLists.txt ===
INCLUDE(FindR.cmake)
IF(NOT WIN32)
	# for pthread_at_fork
	FIND_PACKAGE(Threads)
ENDIF(NOT WIN32)

ADD_SUBDIRECTORY( rpackages )
ADD_SUBDIRECTORY( rkwarddevice )

INCLUDE_DIRECTORIES( ${R_INCLUDEDIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

SET (
	rbackend_shared_SRCS
	rkrbackendprotocol_shared.cpp
	rdata.cpp
)

SET (
	rbackend_backend_SRCS
	rkrbackend.cpp
	rksignalsupport.cpp
	rklocalesupport.cpp
	rkrsupport.cpp
	rkstructuregetter.cpp
	rkrbackendprotocol_backend.cpp
	rkreventloop.cpp
)

SET (
	rbackend_frontend_SRCS
	rinterface.cpp
	rcommand.cpp
	rcommandreceiver.cpp
	rcommandstack.cpp
	rkrbackendprotocol_frontend.cpp
	rksessionvars.cpp
)

SET (
	rbackend_FRONTEND_SRCS
	${rbackend_frontend_SRCS}
	${rbackend_shared_SRCS}
	rkfrontendtransmitter.cpp
	rktransmitter.cpp
)
QT4_AUTOMOC(${rbackend_FRONTEND_SRCS})
ADD_LIBRARY(rbackend STATIC ${rbackend_FRONTEND_SRCS})
TARGET_LINK_LIBRARIES(rbackend rkgraphicsdevice.frontend)

SET (
	rbackend_BACKEND_SRCS
	${rbackend_backend_SRCS}
	${rbackend_shared_SRCS}
	rkbackendtransmitter.cpp
	rktransmitter.cpp
)
QT4_AUTOMOC(${rbackend_BACKEND_SRCS})
ADD_DEFINITIONS (-DRKWARD_SPLIT_PROCESS)
LINK_DIRECTORIES(${R_SHAREDLIBDIR})
ADD_EXECUTABLE(rkward.rbackend ${rbackend_BACKEND_SRCS})
FIND_PACKAGE(Gettext REQUIRED)
TARGET_LINK_LIBRARIES(rkward.rbackend rkgraphicsdevice.backend ${R_USED_LIBS} ${CMAKE_THREAD_LIBS_INIT} ${QT_QTNETWORK_LIBRARY} ${QT_QTCORE_LIBRARY} ${GETTEXT_LIBRARIES} )

IF(WIN32)
	# on Widows, we install to the rbackend subdirectory, because 1) LIBEXEC_INSTALL_DIR == BIN_INSTALL_DIR and 2) we don't want the backend to pick up
	# all the KDE library versions, first, when loading DLLs
	INSTALL(TARGETS rkward.rbackend DESTINATION ${BIN_INSTALL_DIR}/rbackend)
ELSE(WIN32)
		INSTALL(TARGETS rkward.rbackend DESTINATION ${RKWARD_FRONTEND_LOCATION})
ENDIF(WIN32)

=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
Package: rkward
Type: Package
Title: Provides functions related to the RKWard GUI
Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@ruhr-uni-bochum.de>,
    with contributions from the RKWard Team
Maintainer: RKWard-devel mailing list <rkward-devel@lists.sourceforge.net>
Depends:
    R (>= 2.9.0),methods
Description: This package contains functions which are useful in combination
    with the RKWard GUI. Many of these functions only needed for the internal
    communication between RKWard and R, but some are also useful in user
    scripts.
License: GPL (>= 2)
Encoding: UTF-8
LazyLoad: yes
URL: http://rkward.sourceforge.net
Authors@R: c(person(given="Thomas", family="Friedrichsmeier",
    email="thomas.friedrichsmeier@ruhr-uni-bochum.de", role=c("aut")),
    person(given="RKWard-devel", family="mailing list",
    email="rkward-devel@lists.sourceforge.net", role=c("cre","ctb")))
Version: 0.6.2
Date: 2014-09-29
Collate:
    'base_overrides.R'
    'internal.R'
    'internal_debugger.R'
    'internal_graphics.R'
    'internal_help.R'
    'public_graphics.R'
    'rk.KDE_GUI-functions.R'
    'rk.demo.R'
    'rk.edit-functions.R'
    'rk.filename-functions.R'
    'rk.label-functions.R'
    'rk.plugin-functions.R'
    'rk.print-functions.R'
    'rk.replace.function.R'
    'rk.sessionInfo.R'
    'rk.sync-functions.R'
    'rk.utility-functions.R'
    'rk.workspace-functions.R'
    'rkward-package.R'
    'ver.R'

## rkward 0.6.2%7erc1

=== rkward/misc/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
    celleditor.cpp
    editlabelsdialog.cpp
    editformatdialog.cpp
+   rkmessagecatalog.cpp
    )
 
 QT4_AUTOMOC(${misc_STAT_SRCS})

## rkward 0.6.4

=== i18n/CMakeLists.txt ===
MACRO(RKHandlePO _PO_FILES)
	FOREACH(_poFile ${_PO_FILES})
		GET_FILENAME_COMPONENT(_fullPoName ${_poFile} NAME)
		STRING(REPLACE "." ";" _nameParts ${_fullPoName})
		LIST(LENGTH _nameParts _namePartsCount)
		LIST(GET _nameParts 0 _poid)
		LIST(GET _nameParts 1 _lang) # Remainder of _nameParts should be "po"
		IF(NOT ${_poid} STREQUAL "rkward")
			SET(ACCEPT_INCOMPLETE_PO "-DACCEPT_INCOMPLETE_PO=1")
		ELSE(NOT ${_poid} STREQUAL "rkward")
			SET(ACCEPT_INCOMPLETE_PO "")
		ENDIF(NOT ${_poid} STREQUAL "rkward")

		SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_poid}.${_lang}.gmo)

		# making the gmo be re-built, when the po changes, but not every time is surprsingly difficult
		# (since the gmo file is only built for translations which are complete enough)
		SET(_stampFile ${CMAKE_CURRENT_BINARY_DIR}/${_poid}.${_lang}.stamp)
		ADD_CUSTOM_COMMAND(OUTPUT ${_stampFile}
			COMMAND ${CMAKE_COMMAND} "-D_poFile=${_poFile}" "-D_gmoFile=${_gmoFile}" "-DGETTEXT_MSGFMT_EXECUTABLE=${GETTEXT_MSGFMT_EXECUTABLE}" ${ACCEPT_INCOMPLETE_PO} -P ${CMAKE_CURRENT_SOURCE_DIR}/compile_po.cmake
			COMMAND ${CMAKE_COMMAND} -E touch ${_stampFile}
			COMMENT "Generating translation for language '${_lang}', catalog '${_poid}'"
			DEPENDS ${_poFile})
		LIST(APPEND active_translations ${_stampFile})

		IF(${_poid} STREQUAL "rkward")
			INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME rkward.mo OPTIONAL)
		ELSE(${_poid} STREQUAL "rkward")
			INSTALL(FILES ${_gmoFile} DESTINATION ${DATA_INSTALL_DIR}/rkward/po/${_lang}/LC_MESSAGES/ RENAME ${_poid}.mo OPTIONAL)
		ENDIF(${_poid} STREQUAL "rkward")
	ENDFOREACH(_poFile ${_PO_FILES})
ENDMACRO(RKHandlePO)


FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
	IF(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po/")
		FILE(GLOB PO_FILES po/*.po)
		RKHandlePO("${PO_FILES}")

		ADD_CUSTOM_TARGET(translations ALL DEPENDS ${active_translations})
	ELSE(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po/")
	MESSAGE(WARNING
"------
                 Translations are not available.

${CMAKE_CURRENT_SOURCE_DIR}/po/ was not found. This probably means that you are building from the development repository, and have not fetched translations. This is ok, if you want to run RKWard in English, only. Otherwise, to fetch translations, either
   scripts/import_translations.py XX
where (XX is your language code, such as \"de\"; optionally specify several codes separated by spaces). In some cases (esp., if you want to build all existing translations), it is much faster to use:
   git clone git://anongit.kde.org/scratch/tfry/rkward-po-export i18n/po
------")
	ENDIF(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po/")
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== rkward/CMakeLists.txt ===
IF(NOT ${PROJECT_NAME} STREQUAL "rkward")
	MESSAGE (FATAL_ERROR "Build triggered from wrong subdirectory. Please point cmake to the parent of this directory, instead.")
ENDIF(NOT ${PROJECT_NAME} STREQUAL "rkward")

INCLUDE(SetVersionNumber.cmake)

IF(Q_WS_MAC)
	SET(RKWARD_FRONTEND_LOCATION ${BIN_INSTALL_DIR}/rkward.frontend.app/Contents/MacOS)
	SET(CPACK_BUNDLE_ICON rkward.icns)
	SET(CPACK_BUNDLE_NAME RKWard)
	SET(CPACK_BUNDLE_STARTUP_COMMAND rkward)
ELSE(Q_WS_MAC)
	SET(RKWARD_FRONTEND_LOCATION ${LIBEXEC_INSTALL_DIR})
ENDIF(Q_WS_MAC)

ADD_SUBDIRECTORY( dataeditor )
ADD_SUBDIRECTORY( settings )
ADD_SUBDIRECTORY( plugin )
ADD_SUBDIRECTORY( agents )
ADD_SUBDIRECTORY( rbackend )
ADD_SUBDIRECTORY( dialogs )
ADD_SUBDIRECTORY( scriptbackends )
ADD_SUBDIRECTORY( misc )
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( icons )
IF(WIN32)
	ADD_SUBDIRECTORY( qwinhost )
	LIST(APPEND RKWARD_ADDLIBS qwinhost)
ELSE(WIN32)
	LIST(APPEND RKWARD_ADDLIBS ${X11_X11_LIB})
ENDIF(WIN32)
ADD_SUBDIRECTORY( windows )
ADD_SUBDIRECTORY( syntax )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${QT_QTWEBKIT_INCLUDE_DIR} ${X11_X11_INCLUDE_PATH} )

SET(RKWard_Sources
	rkward.cpp
	main.cpp
	rkglobals.cpp
	robjectviewer.cpp
	rkconsole.cpp
	rkwardapplication.cpp
)

# auto-gen sources
#QT4_AUTOMOC(${RKWard_Sources})	# not needed here, as KDE4_ADD_EXECUTABLE mocs the sources in this dir.

# somehow the needed libdirs for R do not get passed down automatically
GET_DIRECTORY_PROPERTY(R_SHAREDLIBDIR DIRECTORY rbackend LINK_DIRECTORIES)
LINK_DIRECTORIES(${R_SHAREDLIBDIR})

KDE4_ADD_EXECUTABLE(rkward.frontend ${RKWard_Sources})
SET_TARGET_PROPERTIES(rkward.frontend PROPERTIES
        MACOSX_BUNDLE_BUNDLE_NAME "RKWard")

IF(Q_WS_MAC)
	SET(RKWARD_INFOPLIST_TEMPLATE Info.plist.in)
	SET(RKWARD_INFOPLIST_FILE ${CMAKE_SOURCE_DIR}/rkward/Info.plist)
	CONFIGURE_FILE(
		${RKWARD_INFOPLIST_TEMPLATE}
		${RKWARD_INFOPLIST_FILE}
		@ONLY)
ENDIF(Q_WS_MAC)

TARGET_LINK_LIBRARIES(rkward.frontend ${KDE4_KDECORE_LIBS} windows ${RKWARD_ADDLIBS} agents dialogs plugin settings dataeditor core scriptbackends rbackend misc ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDEWEBKIT_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTSCRIPT_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${GETTEXT_LIBRARIES})

# wrapper executable
GET_DIRECTORY_PROPERTY(R_EXECUTABLE DIRECTORY rbackend DEFINITION R_EXECUTABLE)
IF (WIN32)
	SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
ENDIF (WIN32)
ADD_CUSTOM_COMMAND (OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/rkward.ico"
			COMMAND cmake -E copy "${CMAKE_CURRENT_SOURCE_DIR}/icons/app-icon/rkward.ico"
			"${CMAKE_CURRENT_BINARY_DIR}/rkward.ico")
ADD_EXECUTABLE (rkward rkward_startup_wrapper.cpp rkward_windows_icon.rc rkward.ico)
# NOTE: These definitions are needed for the wrapper, only.
# We should switch with to target_compile_definitions once we require CMAKE 2.6+
add_definitions ("-DR_EXECUTABLE=\\\"${R_EXECUTABLE}\\\"")
add_definitions ("-DINSTALL_PATH=\\\"${CMAKE_INSTALL_PREFIX}\\\"")
add_definitions ("-DR_LIBS=\\\"${R_LIBDIR}\\\"")
add_definitions ("-DRKWARD_FRONTEND_LOCATION=\\\"${RKWARD_FRONTEND_LOCATION}\\\"")
TARGET_LINK_LIBRARIES(rkward ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})

ADD_DEPENDENCIES(rkward.frontend rkward)

########### install files ###############

INSTALL(DIRECTORY plugins/ pages DESTINATION ${DATA_INSTALL_DIR}/rkward
	PATTERN .svn EXCLUDE)

INSTALL(FILES resource.ver rkwardui.rc rkconsolepart.rc DESTINATION ${DATA_INSTALL_DIR}/rkward )

IF(Q_WS_MAC)
	INSTALL(TARGETS rkward.frontend DESTINATION ${BIN_INSTALL_DIR})
	INSTALL(TARGETS rkward DESTINATION ${BUNDLE_INSTALL_DIR}/${CPACK_BUNDLE_NAME}.app/Contents/MacOS)
	INSTALL(FILES ${CMAKE_SOURCE_DIR}/rkward/icons/app-icon/rkward.icns DESTINATION ${BUNDLE_INSTALL_DIR}/${CPACK_BUNDLE_NAME}.app/Contents/Resources)
	INSTALL(FILES ${RKWARD_INFOPLIST_FILE} DESTINATION ${BUNDLE_INSTALL_DIR}/${CPACK_BUNDLE_NAME}.app/Contents)
ELSE(Q_WS_MAC)
	INSTALL(TARGETS rkward.frontend DESTINATION ${LIBEXEC_INSTALL_DIR})
	INSTALL(TARGETS rkward DESTINATION ${BIN_INSTALL_DIR})
ENDIF(Q_WS_MAC)

INSTALL(FILES rkward.desktop rkward-open.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
INSTALL(FILES vnd.rkward.r.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
INSTALL(FILES rkward.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== rkward/dataeditor/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

SET(dataeditor_STAT_SRCS
   twintable.cpp
   twintablemember.cpp
   rkeditor.cpp
   rkeditordataframe.cpp
   rkvareditmodel.cpp
   rktextmatrix.cpp
   )

QT4_AUTOMOC(${dataeditor_STAT_SRCS})

ADD_LIBRARY(dataeditor STATIC ${dataeditor_STAT_SRCS})


########### install files ###############

INSTALL(FILES   rkeditordataframepart.rc DESTINATION ${DATA_INSTALL_DIR}/rkward )



#original Makefile.am contents follow:

#INCLUDES = $(all_includes)
#METASOURCES = AUTO
#noinst_LIBRARIES =  libdataeditor.a
#libdataeditor_a_SOURCES = twintable.cpp twintablemember.cpp rkdrag.cpp \
#	rkeditor.cpp rkeditordataframe.cpp twintabledatamember.cpp twintablemetamember.cpp \
#	celleditor.cpp editlabelsdialog.cpp editformatdialog.cpp rkeditordataframepart.cpp
#noinst_HEADERS = rkdrag.h twintable.h twintablemember.h rkeditor.h \
#		rkeditordataframe.h twintabledatamember.h twintablemetamember.h celleditor.h \
#		editlabelsdialog.h editformatdialog.h rkeditordataframepart.h
#
#rcdir = $(kde_datadir)/rkward
#rc_DATA = rkeditordataframepart.rc

=== rkward/dialogs/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
    rkimportdialog.cpp
    rkselectlistdialog.cpp
    rkrecoverdialog.cpp
+   rkerrordialog.cpp
    )
 
 QT4_AUTOMOC(${dialogs_STAT_SRCS})

=== rkward/icons/CMakeLists.txt ===
ADD_SUBDIRECTORY(app-icon)

INSTALL(FILES
	rkward_logo.png
	function.png
	list.png
	matrix.png
	data-numeric.png
	data-factor.png
	data-logical.png
	window_back.png
	window_forward.png
	run_line.png
	run_selection.png
	run_all.png
	s4_slots.png
	paste_inside_selection.png
	paste_inside_table.png
	DESTINATION ${DATA_INSTALL_DIR}/rkward/icons)

=== rkward/misc/CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,15 @@
    editlabelsdialog.cpp
    editformatdialog.cpp
    rkmessagecatalog.cpp
+   rkdbusapi.cpp
+   rkfindbar.cpp
+   rkdynamicsearchline.cpp
+   rkaccordiontable.cpp
    )
 
 QT4_AUTOMOC(${misc_STAT_SRCS})
+# Urghs. QT4_AUTOMOC scans only the .h-file for Q_OBJECT macros. Let's hope this will be better with KF5
+QT4_GENERATE_MOC (rkaccordiontable.cpp ${CMAKE_CURRENT_BINARY_DIR}/rkaccordiontablemodel_moc.cpp)
 
 ADD_LIBRARY(misc STATIC ${misc_STAT_SRCS})

=== rkward/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
    rkpluginframe.cpp
    rkoptionset.cpp
    rkmatrixinput.cpp
+   rkvalueselector.cpp
    )
 
 QT4_AUTOMOC(${plugin_STAT_SRCS})

=== rkward/rbackend/CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,6 @@
 ADD_DEFINITIONS (-DRKWARD_SPLIT_PROCESS)
 LINK_DIRECTORIES(${R_SHAREDLIBDIR})
 ADD_EXECUTABLE(rkward.rbackend ${rbackend_BACKEND_SRCS})
-FIND_PACKAGE(Gettext REQUIRED)
 TARGET_LINK_LIBRARIES(rkward.rbackend rkgraphicsdevice.backend ${R_USED_LIBS} ${CMAKE_THREAD_LIBS_INIT} ${QT_QTNETWORK_LIBRARY} ${QT_QTCORE_LIBRARY} ${GETTEXT_LIBRARIES} )
 
 IF(WIN32)

=== rkward/scriptbackends/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
    scriptbackend.cpp
    simplebackend.cpp
    qtscriptbackend.cpp
+   qtscripti18n.cpp
    rkcomponentscripting.cpp
    )

=== rkward/rbackend/rpackages/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

CONFIGURE_FILE(
	"${CMAKE_CURRENT_SOURCE_DIR}/rpackage_install.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/rpackage_install.cmake"
	@ONLY)

INSTALL(SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/rpackage_install.cmake -DDESTDIR=${DESTDIR} -DBUILD_TIMESTAMP=${BUILD_TIMESTAMP})

=== rkward/rbackend/rpackages/rkward/DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: rkward
 Type: Package
 Title: Provides functions related to the RKWard GUI
-Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@ruhr-uni-bochum.de>,
-    with contributions from the RKWard Team
-Maintainer: RKWard-devel mailing list <rkward-devel@lists.sourceforge.net>
+Author: Thomas Friedrichsmeier <thomas.friedrichsmeier@ruhr-uni-bochum.de> and
+    the RKWard Team <rkward-devel@kde.org>
+Maintainer: RKWard-devel mailing list <rkward-devel@kde.org>
 Depends:
     R (>= 2.9.0),methods
 Description: This package contains functions which are useful in combination
@@ -13,13 +13,13 @@
 License: GPL (>= 2)
 Encoding: UTF-8
 LazyLoad: yes
-URL: http://rkward.sourceforge.net
+URL: http://rkward.kde.org
 Authors@R: c(person(given="Thomas", family="Friedrichsmeier",
     email="thomas.friedrichsmeier@ruhr-uni-bochum.de", role=c("aut")),
     person(given="RKWard-devel", family="mailing list",
-    email="rkward-devel@lists.sourceforge.net", role=c("cre","ctb")))
-Version: 0.6.2
-Date: 2014-09-29
+    email="rkward-devel@kde.org", role=c("cre","ctb")))
+Version: 0.6.3
+Date: 2014-10-30
 Collate:
     'base_overrides.R'
     'internal.R'
@@ -41,3 +41,4 @@
     'rk.workspace-functions.R'
     'rkward-package.R'
     'ver.R'
+RoxygenNote: 5.0.1

=== debian/changelog ===
rkward (0.6.4-1) unstable; urgency=low
  * new upstream release
  * add override for false-positive source-is-missing lintian warnings
  * remove obsolete README.Debian file
  * increase debhelper compatibility level to 9 (no changes needed)
  * replace dh_clean -k with dh_prep
  * remove legacy rules dealing with R versions prior to 3.0.0
  * upstream has replaced KHTMLPart with QWebKit. As Qt4WebKit is scheduled for
    removal, revert this change, here. Change to 3.0 (quilt) format for this.
  * Make build reproducible (thanks to Philip Rinn)
    closes: #783290

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Sat, 19 Dec 2015 21:10:00 +0100

rkward (0.6.3-1) unstable; urgency=low
  * new upstream release
  * Ajdust to move of homepage to rkward.kde.org, and vcs to git.kde.org

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Sat, 07 Mar 2015 13:30:00 +0100

rkward (0.6.2~rc1-2) unstable; urgency=low

  * bump standards version to 3.9.6 (no changes needed)

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Fri, 17 Oct 2014 10:30:00 +0100

rkward (0.6.2~rc1-1) unstable; urgency=low

  * new upstream release
  * avoid duplicate cmake run during build
  * upstream increased lowest supported R version to 2.8.0
  * bump standards version to 3.9.4 (no changes needed)

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Thu, 16 Oct 2014 13:30:00 +0100

rkward (0.6.1-1) unstable; urgency=low

  * upstream release 0.6.1-rc1 was made available as 0.6.1 without changes
  * new upload to build against R 3.0.0 on most architectures
  * when built against r-base-core >= 3.0.0, depend on r-base-core <= 3.0.0

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Thu, 07 May 2013 12:30:00 +0100

rkward (0.6.1~rc1-1) unstable; urgency=low

  * new upstream release
  * re-add Vcs-Browser field
  * fix year in changelog (previous upload had 2012 instead of 2013)
  * add runtime dependency on r-base-core < 3.0.0 unless compiled with >= 3.0.0

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Thu, 28 Mar 2013 09:30:00 +0100

rkward (0.6.0-3) unstable; urgency=low

  * correctly treat -pre releases in debian/watch (thanks to Bart Martens)
  * remove obsolete DM-Upload-Allowed field
  * update Vcs-Svn field to changed repository URL
  * remove Vcs-Browser field, as there is no useful repository browser, ATM

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 15 Jan 2012 12:30:00 +0100

rkward (0.6.0-2) unstable; urgency=low

  * make sure to include CPPFLAGS and LDFLAGS in call to cmake
  * correct path to qwinhost files in debian/copyright
  * correct syntax in debian/copyright (thanks to Laszlo Kajan)
  
 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Sat, 24 Nov 2012 14:15:00 +0200

rkward (0.6.0-1) unstable; urgency=low

  * new upstream release
  * remove support for building on Ubuntu hardy
  * more accurate copyright file
    closes: #689982
  * bump standards version to 3.9.4 (no changes needed)
  * Add Vcs-Browser and Vcs-Svn fields

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Wed, 24 Oct 2012 15:30:00 +0200

rkward (0.5.7-2) unstable; urgency=low

  * new upload to force rebuild against R 2.14.0~x on i386
    closes: #646047 (failure to load rkward package)
  * add dependency on r-base-core < 2.14 if built against R < 2.14.0

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 25 Oct 2011 14:30:00 +0200

rkward (0.5.7-1) unstable; urgency=low

  * new upstream release
  * provide build-arch and build-indep targets
  * include buildflags as instructed by the dpkg developers

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Sun, 23 Oct 2011 15:30:00 +0200

rkward (0.5.6-1) unstable; urgency=low

  * new upstream release
  * remove empty directory removal rkwardtests/inst. Now fixed upstream.
  * remove man page links to rkward.bin and rkward.rbackend. These
    auxiliary binaries are no longer installed in the system path.
  * remove debian man page. Man page is now supplied upstream.
  * drop explicit dependency on libphonon-dev.
  * fix lintian warning "description-synopsis-starts-with-article"
  * bump standards version to 3.9.2 (no changes needed)

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 30 May 2011 15:30:00 +0200

rkward (0.5.5-2) unstable; urgency=low

  * Remove empty directory rkwardtests/inst
    fixes FTBFS with (the current alpha of) R 2.13.0

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 20 Mar 2011 14:30:00 +0200

rkward (0.5.5-1) unstable; urgency=low

  * new upstream release
  * add man-page link for new binary rkward.rbackend

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Tue, 15 Mar 2011 14:30:00 +0200

rkward (0.5.4-1) unstable; urgency=low

  * new upstream release
  * bump standards version to 3.9.1 (no changes needed)
  * no more need to remove svncopy.sh-script in rules

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Mon, 04 Oct 2010 14:30:00 +0200

rkward (0.5.3-2) unstable; urgency=low

  * correct usage of hyphens vs. minus signs in the man page
  * correct the watch file

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Fri, 07 May 2010 14:30:00 +0200

rkward (0.5.3-1) unstable; urgency=low

  * new upstream release
    closes: #556321 (failed to link against thread-library, explicitly)
  * add watch file (thanks to Julien Lavergne and Scott Howard)
    closes: #569114
  * remove svncopy.sh-script included in upstream release tarball by accident
  * remove obsolete runtime dependency on php5-cli
  * add dependency on ${misc:Depends} as recommended by debhelper
  * bump standards version to 3.8.4 (no changes needed)
  * add Homepage field

 -- Thomas Friedrichsmeier <tfry@users.sourceforge.net>  Fri, 30 Apr 2010 14:30:00 +0200

rkward (0.5.2-1) unstable; urgency=low

  * new upstream release
    closes: #551306 (added support for the new dynamic help system)
  * Add "DM-Upload-Allowed: yes" in control


=== debian/control ===
Source: rkward
Section: math
Priority: optional
Maintainer: Thomas Friedrichsmeier <tfry@users.sourceforge.net>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libx11-dev,
               r-base-dev (>= 3.0.0)
Standards-Version: 3.9.6
Homepage: http://rkward.kde.org
Vcs-Browser: http://quickgit.kde.org/?p=rkward.git&a=tree&f=debian-official
Vcs-Git: git://anongit.kde.org/rkward.git

Package: rkward
Architecture: any
Depends: ${misc:Depends}, ${rvers}, ${shlibs:Depends}
Recommends: r-base-html
Description: KDE frontend to the R statistics language
 RKWard aims to become an easy to use, transparent frontend to R,
 a powerful system for statistical computation and graphics.
 Besides a convenient GUI for the most important statistical functions,
 future versions will also provide seamless integration with an
 office-suite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Based on the sample debian/rules of dh_make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# For CXXFLAGS and CFLAGS.
# See http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html 
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall

# Workaround for cmake not handling CPPFLAGS (https://wiki.debian.org/HardeningWalkthrough):
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#we need to know the R version
RVERS = $(shell dpkg-query -W --showformat='$${Version}' r-base-core)
RMAJOR = $(shell echo $(RVERS) | awk -F. '{print $$1}')
RMINOR = $(shell echo $(RVERS) | awk -F. '{print $$2}')

# set built-time of GNUR packages to time of created binary package based on stamp in changelog
builttime = $(shell dpkg-parsechangelog -l$(CURDIR)/debian/changelog | awk -F': ' '/Date/ {print $$2}')

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir

	mkdir -p $(CURDIR)/build

	# Some installations of R need a specific version of the compiler(s)
	# R CMD config provides info on which compiler to use
	cd $(CURDIR)/build && \
	CC="`/usr/bin/R CMD config CC`" \
	CXX="`/usr/bin/R CMD config CXX`" \
	F77="`/usr/bin/R CMD config F77`" \
	cmake .. \
		-DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` \
		-DDATA_INSTALL_DIR=`kde4-config --install data` \
		-DHTML_INSTALL_DIR=`kde4-config --install html` \
		-DKCFG_INSTALL_DIR=`kde4-config --install kcfg` \
		-DINFO_INSTALL_DIR=/usr/share/info \
		-DMAN_INSTALL_DIR=/usr/share/man \
		-DKDE_DEFAULT_HOME=`kde4-config --localprefix` \
		-DCMAKE_SKIP_RPATH=true \
		-DKDE4_USE_ALWAYS_FULL_RPATH=false \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
		-DCMAKE_C_FLAGS="$(CFLAGS)" \
		-DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)" \
		-DCMAKE_MODULE_LINKER_FLAGS="$(LDFLAGS)" \
		-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DKDE4_DISABLE_MULTIMEDIA=ON \
		-DR_EXECUTABLE=/usr/bin/R/ \
		-DR_LIBDIR=/usr/lib/R/site-library/ \
		-DBUILD_TIMESTAMP="$(builttime)"

	# Add here commands to compile the package.
	cd $(CURDIR)/build && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# remove any .svn subdir included by accident
	rm -rf $(CURDIR)/debian/.svn

	# Add here commands to clean up after the build process.
	rm -rf $(CURDIR)/build/

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/rkward.
	cd $(CURDIR)/build && $(MAKE) install DESTDIR=$(CURDIR)/debian/rkward
	# dirty hack to get rid of conflicting r.xml file without adjusting all makefiles
	rm -vf $(CURDIR)/debian/rkward/`kde4-config --install data`/katepart/syntax/r.xml
	
	# remove unneeded R package files
	rm -vf $(CURDIR)/debian/rkward/usr/lib/R/site-library/R.css $(CURDIR)/debian/rkward/usr/lib/R/site-library/rkward/COPYING

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman $(CURDIR)/build/doc/rkward/rkward.1
	dh_link
	dh_strip
	# do not compress KDE HTML help
	dh_compress -Xusr/share/doc/kde/HTML
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	# unfortunately, the r-base-core dependency can not be found by dh_shlibdeps, so we need to get at the version manually
	# NOTE: This "if" is currently always true (see build-deps), but left here, for convenience, in case we get into trouble
	# with binary incompatibility (backward / foward) again, in the future.
	@if [ "$(RMAJOR)" -eq "3" ] && [ "$(RMINOR)" -ge "0" ] ; then \
		echo "rvers=r-base-core (>= 3.0.0)" >> $(CURDIR)/debian/rkward.substvars ; \
	fi
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=uversionmangle=s/-(pre\d*)$/~$1/ \
http://sf.net/rkward/rkward-(.*)\.tar\.gz
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 08:07:53 +0000
